List test results for a test.
curl --request GET \
--url https://api.openlayer.com/v1/tests/{testId}/results \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"projectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inferencePipelineId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"dateDataStarts": "2024-03-22T11:31:01.185Z",
"dateDataEnds": "2024-03-22T11:31:01.185Z",
"status": "passing",
"statusMessage": "Test successfully processed.",
"goal": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": 1,
"name": "No duplicate rows",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"description": "This test checks for duplicate rows in the dataset.",
"type": "integrity",
"subtype": "duplicateRowCount",
"creatorId": "589ece63-49a2-41b4-98e1-10547761d4b0",
"originProjectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"thresholds": [
{
"measurement": "duplicateRowCount",
"insightName": "duplicateRowCount",
"insightParameters": [
{
"name": "column_name",
"value": "<unknown>"
}
],
"thresholdMode": "manual",
"operator": "<=",
"value": 0
}
],
"dateArchived": "2024-03-22T11:31:01.185Z",
"suggested": false,
"commentCount": 0,
"evaluationWindow": 3600,
"delayWindow": 0,
"archived": false,
"usesMlModel": false,
"usesValidationDataset": true,
"usesTrainingDataset": false,
"usesReferenceDataset": false,
"usesProductionData": false
},
"goalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expectedValues": [
{
"measurement": "<string>",
"upperThreshold": 123,
"lowerThreshold": 123
}
],
"rows": "https://api.openlayer.com/v1/versions/3fa85f64-5717-4562-b3fc-2c963f66afa6/rows?label=validation",
"rowsBody": {
"columnFilters": [
{
"measurement": "openlayer_token_set",
"operator": "contains_none",
"value": [
"cat"
]
}
],
"searchQueryOr": [
"<string>"
],
"searchQueryAnd": [
"<string>"
],
"notSearchQueryOr": [
"<string>"
],
"notSearchQueryAnd": [
"<string>"
],
"rowIdList": [
123
],
"excludeRowIdList": [
123
]
}
}
],
"lastUnskippedResult": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"projectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inferencePipelineId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"dateDataStarts": "2024-03-22T11:31:01.185Z",
"dateDataEnds": "2024-03-22T11:31:01.185Z",
"status": "passing",
"statusMessage": "Test successfully processed.",
"goal": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": 1,
"name": "No duplicate rows",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"description": "This test checks for duplicate rows in the dataset.",
"type": "integrity",
"subtype": "duplicateRowCount",
"creatorId": "589ece63-49a2-41b4-98e1-10547761d4b0",
"originProjectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"thresholds": [
{
"measurement": "duplicateRowCount",
"insightName": "duplicateRowCount",
"insightParameters": [
{
"name": "column_name",
"value": "<unknown>"
}
],
"thresholdMode": "manual",
"operator": "<=",
"value": 0
}
],
"dateArchived": "2024-03-22T11:31:01.185Z",
"suggested": false,
"commentCount": 0,
"evaluationWindow": 3600,
"delayWindow": 0,
"archived": false,
"usesMlModel": false,
"usesValidationDataset": true,
"usesTrainingDataset": false,
"usesReferenceDataset": false,
"usesProductionData": false
},
"goalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expectedValues": [
{
"measurement": "<string>",
"upperThreshold": 123,
"lowerThreshold": 123
}
],
"rows": "https://api.openlayer.com/v1/versions/3fa85f64-5717-4562-b3fc-2c963f66afa6/rows?label=validation",
"rowsBody": {
"columnFilters": [
{
"measurement": "openlayer_token_set",
"operator": "contains_none",
"value": [
"cat"
]
}
],
"searchQueryOr": [
"<string>"
],
"searchQueryAnd": [
"<string>"
],
"notSearchQueryOr": [
"<string>"
],
"notSearchQueryAnd": [
"<string>"
],
"rowIdList": [
123
],
"excludeRowIdList": [
123
]
}
}
}Tests
List the test results for a test
List the test results for a test.
List test results for a test.
curl --request GET \
--url https://api.openlayer.com/v1/tests/{testId}/results \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"projectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inferencePipelineId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"dateDataStarts": "2024-03-22T11:31:01.185Z",
"dateDataEnds": "2024-03-22T11:31:01.185Z",
"status": "passing",
"statusMessage": "Test successfully processed.",
"goal": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": 1,
"name": "No duplicate rows",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"description": "This test checks for duplicate rows in the dataset.",
"type": "integrity",
"subtype": "duplicateRowCount",
"creatorId": "589ece63-49a2-41b4-98e1-10547761d4b0",
"originProjectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"thresholds": [
{
"measurement": "duplicateRowCount",
"insightName": "duplicateRowCount",
"insightParameters": [
{
"name": "column_name",
"value": "<unknown>"
}
],
"thresholdMode": "manual",
"operator": "<=",
"value": 0
}
],
"dateArchived": "2024-03-22T11:31:01.185Z",
"suggested": false,
"commentCount": 0,
"evaluationWindow": 3600,
"delayWindow": 0,
"archived": false,
"usesMlModel": false,
"usesValidationDataset": true,
"usesTrainingDataset": false,
"usesReferenceDataset": false,
"usesProductionData": false
},
"goalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expectedValues": [
{
"measurement": "<string>",
"upperThreshold": 123,
"lowerThreshold": 123
}
],
"rows": "https://api.openlayer.com/v1/versions/3fa85f64-5717-4562-b3fc-2c963f66afa6/rows?label=validation",
"rowsBody": {
"columnFilters": [
{
"measurement": "openlayer_token_set",
"operator": "contains_none",
"value": [
"cat"
]
}
],
"searchQueryOr": [
"<string>"
],
"searchQueryAnd": [
"<string>"
],
"notSearchQueryOr": [
"<string>"
],
"notSearchQueryAnd": [
"<string>"
],
"rowIdList": [
123
],
"excludeRowIdList": [
123
]
}
}
],
"lastUnskippedResult": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"projectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inferencePipelineId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"dateDataStarts": "2024-03-22T11:31:01.185Z",
"dateDataEnds": "2024-03-22T11:31:01.185Z",
"status": "passing",
"statusMessage": "Test successfully processed.",
"goal": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": 1,
"name": "No duplicate rows",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"description": "This test checks for duplicate rows in the dataset.",
"type": "integrity",
"subtype": "duplicateRowCount",
"creatorId": "589ece63-49a2-41b4-98e1-10547761d4b0",
"originProjectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"thresholds": [
{
"measurement": "duplicateRowCount",
"insightName": "duplicateRowCount",
"insightParameters": [
{
"name": "column_name",
"value": "<unknown>"
}
],
"thresholdMode": "manual",
"operator": "<=",
"value": 0
}
],
"dateArchived": "2024-03-22T11:31:01.185Z",
"suggested": false,
"commentCount": 0,
"evaluationWindow": 3600,
"delayWindow": 0,
"archived": false,
"usesMlModel": false,
"usesValidationDataset": true,
"usesTrainingDataset": false,
"usesReferenceDataset": false,
"usesProductionData": false
},
"goalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expectedValues": [
{
"measurement": "<string>",
"upperThreshold": 123,
"lowerThreshold": 123
}
],
"rows": "https://api.openlayer.com/v1/versions/3fa85f64-5717-4562-b3fc-2c963f66afa6/rows?label=validation",
"rowsBody": {
"columnFilters": [
{
"measurement": "openlayer_token_set",
"operator": "contains_none",
"value": [
"cat"
]
}
],
"searchQueryOr": [
"<string>"
],
"searchQueryAnd": [
"<string>"
],
"notSearchQueryOr": [
"<string>"
],
"notSearchQueryAnd": [
"<string>"
],
"rowIdList": [
123
],
"excludeRowIdList": [
123
]
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.openlayer.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The test id.
Query Parameters
The page to return in a paginated query.
Required range:
x >= 1Maximum number of items to return per page.
Required range:
1 <= x <= 100Retrive test results for a specific project version.
Retrive test results for a specific inference pipeline.
Include the insights linked to each test result
Filter by status(es).
Filter for results that use data ending after the start timestamp.
Filter for results that use data starting before the end timestamp.
Was this page helpful?
⌘I

